Skip to content
OpenPostDocs
OpenPostDocs
Publication Builds

Build destination-native posts

POST/publication-builds

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key*string

Stable key for one logical build request

Length8 <= length <= 160

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/publication-builds" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/Build.json",  "assets": [    {      "may_publish": false,      "media_id": "string",      "role": "string"    }  ],  "context_urls": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "error_code": "string",  "error_message": "string",  "id": "string",  "input": {    "destination_policy": "string",    "destinations": [      {        "account_id": "string",        "allowed_output_profiles": [          {            "allowed_mimes": [              "string"            ],            "key": "string",            "max_segments": 0,            "media_max_count": 0,            "text_limit": 0          }        ],        "label": "string",        "platform": "string",        "voice": {          "definition": {            "avoidances": [              "string"            ],            "examples": [              {                "body": "string",                "platform": "string"              }            ],            "guidance": "string",            "identity": "string",            "language": "string"          },          "id": "string",          "name": "string",          "revision": 0        }      }    ],    "direction": {      "angle": "string",      "audience": "string",      "media_preference": "string",      "outcome": "string",      "tone_adjustment": "string"    },    "idea": "string",    "sources": [      {        "id": "string",        "kind": "string",        "label": "string",        "mime_type": "string",        "publishable": true,        "text": "string"      }    ]  },  "phase": "string",  "publication_id": "string",  "result": {    "canonical_text": "string",    "destinations": [      {        "account_id": "string",        "archetype": "string",        "claims": [          {            "source_refs": [              "string"            ],            "status": "string",            "text": "string"          }        ],        "follow_up_notes": [          "string"        ],        "media": {          "brief": "string",          "role": "string",          "source_ref": "string",          "treatment": "string"        },        "objective": "string",        "output_profile": "string",        "platform": "string",        "preview": "string",        "segments": [          {            "body": "string",            "description": "string",            "title": "string"          }        ],        "warnings": [          "string"        ]      }    ],    "direction": {      "angle": "string",      "audience": "string",      "canonical_text": "string",      "claims": [        {          "source_refs": [            "string"          ],          "status": "string",          "text": "string"        }      ],      "destinations": [        {          "account_id": "string",          "include": true,          "reason": "string"        }      ],      "factual_kernel": [        "string"      ],      "media": {        "brief": "string",        "role": "string",        "source_ref": "string",        "treatment": "string"      },      "outcome": "string",      "route": "string",      "thesis": "string"    },    "review_flags": [      {        "account_id": "string",        "field": "string",        "message": "string",        "severity": "string"      }    ],    "skipped": [      {        "account_id": "string",        "platform": "string",        "reason": "string"      }    ],    "sources": [      {        "id": "string",        "kind": "string",        "label": "string",        "publishable": true      }    ]  },  "revision": 0,  "social_set_id": "string",  "state": "string",  "updated_at": "2019-08-24T14:15:22Z",  "voice_profile_id": "string",  "workspace_id": "string"}